> For the complete documentation index, see [llms.txt](https://help.connected.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/understanding-lims-id-prefixes.md).

# Understanding LIMS ID Prefixes

Some of the more common LIMS ID prefixes are listed in the following table.

| **Prefix** | **Description**                                              |
| ---------- | ------------------------------------------------------------ |
| 1          | Address                                                      |
| 2          | Analyte (Derived Sample)                                     |
| 24         | Standard step (not indexing — ie, not Add Labels or Pooling) |
| 27         | Container                                                    |
| 40         | File                                                         |
| 92         | ResultFile (artifact), both per-sample and step-level        |
| 120        | Reagent type                                                 |
| 122        | Pooling step                                                 |
| 151        | Indexing step (ie, Add Labels)                               |
| 152        | Reagent label                                                |

{% hint style="info" %}
QC steps do not have a special LIMS ID prefix.
{% endhint %}

In addition, there are also some esoteric and deprecated LIMS ID prefixes. The complete list of prefixes can be found in the **classindex** database table.

### Translating a Step in the Web Interface to a Step URI in the API <a href="#h_64c7e533-63a7-4f05-a14d-487dcd2f3c17" id="h_64c7e533-63a7-4f05-a14d-487dcd2f3c17"></a>

Assuming you have a started a step, your browser address will look something like this:

<https://demo.claritylims.com/clarity/work-placement/21816>

The important piece is the **suffix** - 21816.

**To convert to a step URI:**

1. Note the type of step you are running. Is it a Standard step, an Indexing (Add Labels) step, or a Pooling step?
2. Add the corresponding hyphenated prefix using the previous list, to construct the step ID. For example, if it is an Indexing step, 21816 becomes 151-21816.
3. Build the step URI: https\://\<hostname>/api/\<version>/steps/**151-21816**.

### Translating a Step URI in the API to a Step in the Web Interface <a href="#h_cff9139b-2e67-4250-aa28-847424d979f2" id="h_cff9139b-2e67-4250-aa28-847424d979f2"></a>

To perform the reverse action and find a step in the web interface for a given a step URI (or a process URI):

1. Get the step ID. Using the example above, the step ID would be 151-21816.
2. Strip out the hyphenated prefix to give: '21816'.
3. Build the web address: https\://\<hostname>/clarity/**work**/**21816**.

Clarity LIMS will translate the word 'work' to the correct address for the screen the step is currently on. For example, if the step is completed, 'work' will become 'work-complete'.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/understanding-lims-id-prefixes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
